{
  "true": "Yes",
  "false": "No",
  "common": {
    "cancel": "Cancel",
    "save": "Save",
    "back": "Back",
    "apply": "Apply",
    "yes": "Yes",
    "no": "No",
    "true": "Yes",
    "false": "No",
    "ok": "Ok",
    "select": "Select",
    "default": "Default",
    "enable": "Enable",
    "enabled": "Enabled",
    "disable": "Disable",
    "disabled": "Disabled",
    "planned": "Planned",
    "edit": "Edit",
    "delete": "Delete",
    "update": "Update",
    "select_all": "Select all",
    "deselect_all": "Deselect all",
    "close": "Close",
    "reorder": "Reorder",
    "details": "Details",
    "app_menu": "Menu",
    "toggle_egg": "Toggle animated visual effects",
    "drop_directory": "Drop directory here",
    "drop_file": "Drop file here",
    "error": "Error",
    "error_short": "Error",
    "click_to_copy": "Click to copy"
  },
  "validation": {
    "network_range": {
      "start_port": "Invalid start-range port",
      "end_port": "Invalid end-range port",
      "ip_range": "Invalid IPv4 range"
    },
    "timeouts": {
      "zero_or_less": "Must be > 0",
      "invalid_value": "Not a number"
    },
    "invalid_num": "Number value in not valid",
    "invalid_int": "Value in not valid integer number",
    "max_value_limit": "Must be less than {max_value}",
    "min_value_limit": "Must be greater than {min_value}",
    "not_in_list": "Already exists",
    "empty": "Empty value not allowed",
    "target_mismatch": "Doesn't match {target}",
    "url_or_worker_empty": "Both URL and Worker must be filled or empty",
    "farm": {
      "ip_range": "Invalid IPv4 range",
      "ip_range_reverse": "Reversed IPv4 range",
      "ip_range_mixed_type": "Port or address must be constant in the range",
      "invalid_ip": "Invalid address: IP address could not contain numbers over 255",
      "invalid_port": "Port cannot be less than 0 and greater 65535"
    }
  },
  "error": {
    "unsupported": "Action not supported",
    "not_available_when_locked": "Action not supported for locked devices",
    "operation_cancelled": "Operation was cancelled. {}",
    "update_firmware": {
      "unsupported_miner": "Unsupported miner type",
      "no_miner_info": "Device info not received. Aborting...",
      "miner_model_empty": "Can't detect device model",
      "miner_install_type_empty": "Can't detect device install type",
      "firmware_file_not_found": "Firmware file do not exists. Searching for \"{}\""
    },
    "no_cloning_needed": "Skipped: Device is already configured with this settings",
    "repository": {
      "operation_cancelled": "Operation was cancelled. {}",
      "no_repository": "No miner actions available",
      "no_unlock_method": "Unlock method for device not found",
      "device_not_unlocked": "Device not unlocked. Check credentials",
      "unlock_method_not_supported": "Unlock method not supported",
      "change_pools_not_possible": "Can not change pools. Initial pools configuration is not received from device"
    }
  },
  "enum": {
    "miner_field_bool_values": {
      "locked": "Locked",
      "unlocked": "Unlocked",
      "available": "Available",
      "unavailable": "Not available"
    },
    "unlock_type_enum": {
      "password": "Password",
      "loginPassword": "Login + Password",
      "apiKey": "API key",
      "doNotUnlock": "Do not unlock",
      "doNotDiscover": "Do not discover this firmware"
    },
    "firmware_vendor_enum": {
      "unknown": "CG Miner",
      "hashcore": "Hashcore",
      "oldVnish": "Old Vnish",
      "bitmain": "Bitmain",
      "canaan": "Canaan",
      "microBt": "MicroBT",
      "luxor": "Luxor",
      "braiins": "Braiins",
      "auradine": "Auradine",
      "epic": "ePIC",
      "sunLune": "SunLune (Jasminer)",
      "pitBit": "PitBit",
      "iceRiver": "IceRiver",
      "bitdeer": "Bitdeer (Sealminer)",
      "mock": "Mock"
    },
    "miner_status_enum": {
      "mining": "Mining",
      "initializing": "Initialize",
      "starting": "Starting",
      "autoTuning": "Auto-tune",
      "restarting": "Restart",
      "shuttingDown": "Shutdown",
      "stopped": "Stopped",
      "failure": "Error",
      "offline": "Offline"
    },
    "miner_field_enum": {
      "ip": "IP address",
      "mac": "MAC address",
      "range": "Network range",
      "lockState": "Lock status",
      "hasPics": "Has pics",
      "model": "Model",
      "serial": "Device serial",
      "uptime": "Uptime",
      "hashrate": "Hashrate",
      "instantHashrate": "Hashrate RT",
      "stockHashrate": "Stock hashrate",
      "efficiency": "Energy efficiency",
      "hashrateDelta": "Hashrate ∆",
      "algorithm": "Algorithm",
      "minerPreset": "Preset",
      "currentPreset": "Current preset",
      "minPreset": "Min preset",
      "topPreset": "Max preset",
      "presetSwitchTemps": "Profile switch temp",
      "minerStatus": "Status",
      "minerStatusTime": "Status time",
      "chainStatus": "Chains",
      "chainSerials": "Board serial numbers",
      "chainModels": "Board models",
      "chainChipBins": "Board chip BIN",
      "psuModel": "PSU model",
      "psuSerial": "PSU serial",
      "psuPfcTemp": "PSU PFC temperature",
      "psuLlcTemp": "PSU LLC temperature",
      "platform": "Platform",
      "installType": "Install type",
      "firmware": "Firmware version",
      "firmwareBuildDate": "Firmware build date",
      "firmwareBuildName": "Firmware build name",
      "power": "Power",
      "chipTemp": "Chip temperatures",
      "chipTempBoard1": "Board 1 chip temperatures",
      "chipTempBoard2": "Board 2 chip temperatures",
      "chipTempBoard3": "Board 3 chip temperatures",
      "chipTempBoard4": "Board 4 chip temperatures",
      "boardTemp": "Board temperatures",
      "boardTempBoard1": "Board 1 temperatures",
      "boardTempBoard2": "Board 2 temperatures",
      "boardTempBoard3": "Board 3 temperatures",
      "boardTempBoard4": "Board 4 temperatures",
      "cooling": "Cooling",
      "fanSpeed": "Fans",
      "pool1url": "Pool URL 1",
      "pool1worker": "Pool 1 worker",
      "pool1password": "Pool 1 password",
      "pool2url": "Pool URL 2",
      "pool2worker": "Pool 2 worker",
      "pool2password": "Pool 2 password",
      "pool3url": "Pool URL 3",
      "pool3worker": "Pool 3 worker",
      "pool3password": "Pool 3 password",
      "hotelFeeEnabled": "Hotel Fee status",
      "hotelFeeUrl": "Hotel Fee URL",
      "hotelFeeWorker": "Hotel Fee Worker",
      "hotelFeePercent": "Hotel Fee Percent",
      "defFeeOnline": "Dev Fee",
      "errorCode": "Error code",
      "poolAccount": "Pool account",
      "poolWorker": "Pool worker",
      "badChainsCount": "Number of boards with failure"
    },
    "miner_field_enum_short": {
      "ip": "IP address",
      "mac": "MAC address",
      "range": "Range",
      "lockState": "Lock status",
      "hasPics": "Pics",
      "model": "Model",
      "serial": "Miner S/N",
      "uptime": "Uptime",
      "hashrate": "Hashrate",
      "instantHashrate": "Hashrate RT",
      "stockHashrate": "Stock hashrate",
      "efficiency": "Efficiency",
      "hashrateDelta": "Hashrate ∆",
      "algorithm": "Algorithm",
      "minerPreset": "Preset",
      "currentPreset": "Current",
      "minPreset": "Min",
      "topPreset": "Max",
      "presetSwitchTemps": "Profile switch",
      "minerStatus": "Status",
      "chainStatus": "Chains",
      "chainSerials": "Board serials",
      "chainModels": "Board models",
      "chainChipBins": "Chip BIN",
      "psuModel": "PSU model",
      "psuSerial": "PSU serial",
      "psuPfcTemp": "PFC PSU temp",
      "psuLlcTemp": "LLC PSU temp",
      "platform": "Platform",
      "installType": "Install Type",
      "firmware": "Firmware",
      "firmwareBuildDate": "Build date",
      "firmwareBuildName": "Build name",
      "power": "Power",
      "chipTemp": "Temp chip",
      "chipTempBoard1": "Board 1 Temp chip",
      "chipTempBoard2": "Board 2 Temp chip",
      "chipTempBoard3": "Board 3 Temp chip",
      "chipTempBoard4": "Board 4 Temp chip",
      "boardTemp": "Temp board",
      "boardTempBoard1": "Board 1 temp",
      "boardTempBoard2": "Board 2 temp",
      "boardTempBoard3": "Board 3 temp",
      "boardTempBoard4": "Board 4 temp",
      "cooling": "Cooling",
      "fanSpeed": "Fans",
      "pool1url": "Pool URL 1",
      "pool1worker": "Pool worker 1",
      "pool1password": "Pool 1 password",
      "pool2url": "Pool URL 2",
      "pool2worker": "Pool worker 2",
      "pool2password": "Pool 2 password",
      "pool3url": "Pool URL 3",
      "pool3worker": "Pool worker 3",
      "pool3password": "Pool 3 password",
      "hotelFeeEnabled": "Hotel Fee status",
      "hotelFeeUrl": "Hotel Fee URL",
      "hotelFeeWorker": "Hotel Fee Worker",
      "hotelFeePercent": "Hotel Fee Percent",
      "defFeeOnline": "Dev Fee available",
      "errorCode": "Error code",
      "badChainsCount": "Boards with failure"
    },
    "miner_field_enum_column": {
      "ip": "IP address",
      "mac": "MAC address",
      "range": "Range",
      "lockState": "Lock status",
      "hasPics": "Pics",
      "model": "Model",
      "serial": "Device S/N",
      "uptime": "Uptime",
      "hashrate": "Average hashrate",
      "instantHashrate": "Realtime hashrate",
      "stockHashrate": "Stock hashrate",
      "efficiency": "Efficiency",
      "algorithm": "Algorithm",
      "minerPreset": "Presets",
      "currentPreset": "N/A",
      "topPreset": "N/A",
      "presetSwitchTemps": "Profile switch temp",
      "minerStatus": "Status",
      "chainSerials": "Board serial numbers",
      "chainModels": "Board models",
      "chainChipBins": "Chip BIN",
      "psuModel": "PSU model",
      "psuSerial": "PSU serial",
      "psuPfcTemp": "PSU PFC temperature",
      "psuLlcTemp": "PSU LLC temperature",
      "chainStatus": "Chains",
      "platform": "Platform",
      "installType": "Install Type",
      "firmware": "Firmware",
      "firmwareBuildDate": "Firmware build date",
      "firmwareBuildName": "Firmware build name",
      "power": "Power",
      "chipTemp": "Temp chip",
      "boardTemp": "Temp board",
      "cooling": "Cooling",
      "fanSpeed": "Fans",
      "pool1url": "Pool 1",
      "pool1worker": "N/A",
      "pool1password": "N/A",
      "pool2url": "Pool 2",
      "pool2worker": "N/A",
      "pool2password": "N/A",
      "pool3url": "Pool 3",
      "pool3worker": "N/A",
      "pool3password": "N/A",
      "hotelFeeEnabled": "N/A",
      "hotelFeeUrl": "Hotel Fee",
      "hotelFeeWorker": "N/A",
      "hotelFeePercent": "N/A",
      "defFeeOnline": "Dev Fee available",
      "errorCode": "Error code",
      "badChainsCount": "Number of boards with failure"
    },
    "miner_field_group_enum": {
      "ungrouped": "ungrouped",
      "hashrate": "Hashrate",
      "presets": "Presets",
      "pools": "Pools",
      "hotelFee": "Hotel Fee",
      "psu": "PSU",
      "board": "Board"
    },
    "cooling_mode_enum": {
      "auto": "Auto",
      "manual": "Manual",
      "immers": "Immersion"
    },
    "ordering_direction_enum": {
      "asc": "Ascending",
      "desc": "Descending"
    },
    "pool_marker": {
      "skip": "Don't change",
      "edit": "Edit",
      "empty": "Delete"
    },
    "change_pool_pattern": {
      "account": "Current account",
      "worker": "Current worker",
      "ip": "IP (with \".\" as octets divider)",
      "ip1": "IP: First octet",
      "ip2": "IP: Second octet",
      "ip3": "IP: Third octet",
      "ip4": "IP: Fourth octet",
      "mac": "MAC-address (without divider)",
      "host": "Hostname",
      "n": "Number (start 1 with step 1)",
      "nn": "Number with 1 leading zero",
      "nnn": "Number with 2 leading zeros",
      "proto-str": "Stratum protocol",
      "pool-host": "Current pool address",
      "port": "Current pool port"
    },
    "theme": {
      "light": "Light",
      "dark": "Dark",
      "blue_night": "Blue night"
    },
    "locale": {
      "en": "English",
      "es": "Español",
      "ka": "ქართული",
      "pt": "Português",
      "ru": "Русский",
      "rua": "Дореволюционный",
      "uk": "Українська",
      "zh": "中國人"
    },
    "log_level": {
      "all": "All",
      "verbose": "Verbose",
      "trace": "Trace",
      "debug": "Debug",
      "info": "Info",
      "warning": "Warning",
      "error": "Error",
      "wtf": "WTF",
      "fatal": "Fatal",
      "nothing": "Nothing",
      "off": "Off"
    },
    "miner_filter_comparison_type": {
      "greater": "More",
      "less": "Less",
      "equals": "Equals",
      "notEquals": "Not equals"
    },
    "miner_list_view_type": {
      "normal": "Normal",
      "compact": "Compact",
      "overview": "Overview"
    },
    "miner_list_view_mode": {
      "metric": "Metric mode",
      "pools": "Pools mode",
      "custom": "Custom"
    },
    "miner_list_view_mode_short": {
      "metric": "Metric",
      "pools": "Pools",
      "custom": "Custom"
    },
    "miner_list_overview_mode": {
      "hashrate": "Hashrate",
      "temperature": "Temperature / C°"
    },
    "miner_list_overview_size": {
      "small": "Small",
      "medium": "Default",
      "large": "Large"
    },
    "task_status": {
      "notStarted": "Waiting",
      "processing": "Processing",
      "success": "Success",
      "hasErrors": "Has errors",
      "error": "Error",
      "cancelled": "Cancelled"
    }
  },
  "date": {
    "month": {
      "january": "January",
      "february": "February",
      "march": "March",
      "april": "April",
      "may": "May",
      "june": "June",
      "july": "July",
      "august": "August",
      "september": "September",
      "october": "October",
      "november": "November",
      "december": "December",
      "unknown": "unknown"
    },
    "formats": {
      "date_time_full": "{month} {day}, {year} {hour}:{min}:{sec}.{mils}",
      "date_time_full_short": "{month}.{day}.{year} {hour}:{min}:{sec}.{mils}",
      "date_time_short": "{month}.{day}.{year} {hour}:{min}:{sec}",
      "date": "{month} {day}, {year}",
      "date_separated": "{month}.{day}.{year}",
      "time_full": "{hour}:{min}:{sec}.{mils}",
      "date_time": "{month} {day}, {year} {hour}:{min}:{sec}",
      "time": "{hour}:{min}:{sec}",
      "time_short": "{hour}:{min}"
    },
    "days_short": "d",
    "hours_short": "h",
    "duration_short": {
      "year": {
        "zero": "{count} years",
        "one": "{count} year",
        "many": "{count} years",
        "other": "{count} years"
      },
      "month": "{count} mo",
      "week": "{count} wk",
      "days": {
        "zero": "{count} days",
        "one": "{count} day",
        "many": "{count} days",
        "other": "{count} days"
      },
      "hour": {
        "zero": "{count} hours",
        "one": "{count} hour",
        "many": "{count} hours",
        "other": "{count} hours"
      },
      "min": "{count} min",
      "sec": "{count} secs"
    },
    "duration": {
      "year": {
        "zero": "{count} years",
        "one": "{count} year",
        "many": "{count} years",
        "other": "{count} years"
      },
      "month": {
        "zero": "{count} months",
        "one": "{count} month",
        "many": "{count} months",
        "other": "{count} months"
      },
      "week": {
        "zero": "{count} weeks",
        "one": "{count} week",
        "many": "{count} weeks",
        "other": "{count} weeks"
      },
      "days": {
        "zero": "{count} days",
        "one": "{count} day",
        "many": "{count} days",
        "other": "{count} days"
      },
      "hour": {
        "zero": "{count} hours",
        "one": "{count} hour",
        "many": "{count} hours",
        "other": "{count} hours"
      },
      "min": {
        "zero": "{count} minutes",
        "one": "{count} minute",
        "many": "{count} minutes",
        "other": "{count} minutes"
      },
      "sec": {
        "zero": "{count} seconds",
        "one": "{count} second",
        "many": "{count} seconds",
        "other": "{count} seconds"
      }
    }
  },
  "app_screen": {
    "header": {
      "subtitle": "App for setting up and managing mining devices",
      "operations": "Operations"
    },
    "footer": {
      "copyright": "©{year} HashCore. All rights reserved",
      "logs": "Logs",
      "support": "Support",
      "support_link": "https://t.me/hashcore_en/38",
      "support_tooltip": "Do you have an idea or a problem? \u2028We are ready to listen and help!",
      "about": "About"
    },
    "about_dialog": {
      "title": "About application",
      "version": "Version {version}",
      "support": "Support",
      "website": "Website",
      "license": "License",
      "build_date": "Build: {build} ({date})"
    },
    "exit_confirmation": {
      "title": "Exit confirmation",
      "description": "Are you sure want to close application?"
    }
  },
  "notifications": {
    "task_started": "{task} started",
    "task_empty": "{task} not started:\nNo compatible devices selected",
    "task_completed": "{task} successfully completed",
    "task_completed_with_error": "{task} where completed with errors",
    "group_not_found": "Can't switch to task group:\nGroup not found or where modified since task execution",
    "clipboard_copied": "Copied to clipboard",
    "update_stub": "New Toolkit version is available",
    "update": "Version {} Toolkit is available",
    "update_link": "Download"
  },
  "ip_report_panel": {
    "not_works": "Failed to start IP Report listening",
    "works_now": "IP Report listening started",
    "report_received": "Received IP Report: {}",
    "change_group_title": "Change group",
    "change_group_message": "Are you sure you want to leave the current network group",
    "tooltip": "Opens received addresses as a network group",
    "tooltip_alt": {
      "pre_key": "\nHold ",
      "post_key": " to select devices in the current group"
    },
    "tooltip_ctrl": {
      "pre_key": "\nHold ",
      "post_key": " to isolate devices in the current group"
    }
  },
  "network_groups": {
    "title": "Network groups",
    "subtitle": "Main page",
    "new": "New group",
    "new_tag": "new",
    "auto_scan_enabled_tooltip": "Autoscan enabled",
    "auto_scan_disabled_tooltip": "Autoscan disabled",
    "new_tag_tooltip": "New ranges group which hasn't been\nscanned or opened yet",
    "open": "Open",
    "network_ranges": "Ranges",
    "miners": "Miners",
    "unlocked": "Unlocked",
    "update": "Autoscan",
    "update_disabled": "No scan",
    "update_title": "Autoscan timeout",
    "update_tooltip": "Interval for groups auto-scanning",
    "interactive": "No pause",
    "offline": "Offline",
    "errors": "Errors",
    "hashrate": "Hashrate",
    "last_scan": "Last scan",
    "empty_title": "Groups not defined",
    "empty_filter_title": "Groups not found",
    "empty_subtitle": "To create a group of devices, you must click on\n[New group] or ",
    "empty_import": "Import range group",
    "remove_selected": "Remove ranges",
    "no_description": "No description",
    "addresses": "Addresses",
    "selected": "{count} selected",
    "select_all": "Select all",
    "ranges_import": "Import range groups",
    "ranges_export": "Export range groups",
    "refresh_ranges_statistic": "Rescan all groups",
    "clear_ranges_statistic": "Reset statistics",
    "ranges_remove": "Remove all groups",
    "rescan_range": "Rescan group",
    "stop_scan": "Stop scanning",
    "range_export": "Export device list",
    "range_edit": "Edit ranges group",
    "merge_ranges": "Merge network groups",
    "range_edit_menu": "Edit group",
    "range_export_menu": "Export group",
    "enabled_for_scan": "Enabled for autoscan",
    "range_remove_menu": "Remove group",
    "dialogs": {
      "export_miners_dialog_title": "Select file to save miners list",
      "export_dialog_title": "Select file to save list",
      "import_dialog_title": "Select file to import list",
      "edit_group": {
        "ip_range": {
          "title": "Ranges",
          "name_title": "Group name",
          "name_holder": "Name for the group",
          "description_title": "Group description",
          "description_holder": "Description for the ranges group",
          "keep_groups_title": "Don't delete source groups",
          "keep_groups_desc": "Enabling this option will keep the original groups after merge",
          "add_ip_range": "Add IP range",
          "add_port_range": "Add port range",
          "remove_range_title": "Remove group",
          "remove_ranges_title": "Remove groups",
          "remove_range_message": "Are you sure you want to remove ranges group?",
          "remove_ranges_message": "Are you sure you want to remove selected ranges groups?",
          "range_title": "Network ranges",
          "save_and_scan": "Save and scan",
          "create_merged": "Create new merge group",
          "ip_group_invalid": "Invalid",
          "range_disabled": "Disabled for scan",
          "default_range_name": "Range {}",
          "delete_selected": "Delete selected ranges",
          "assumed_ranges": "Assumed ranges",
          "range_menu": {
            "enabled": "Enabled",
            "rename": "Rename range",
            "delete": "Delete"
          }
        },
        "edit_range_name": {
          "title": "Rename range",
          "name_label": "New name for range"
        },
        "custom_password": {
          "title": "Custom password"
        },
        "custom_timeout": {
          "title": "Custom timeout"
        }
      },
      "remove_group": {
        "remove_this_range": "Remove group?",
        "remove_all_ranges": "Remove all range groups?",
        "remove_selected_ranges": "Remove selected groups?",
        "range_deleted": "The \"{range}\" will be deleted!",
        "all_deleted": "All range groups will be deleted!",
        "selected_deleted": "Selected range groups will be deleted!",
        "remove": "Yes, remove!",
        "remove_all": "Yes, remove all groups!"
      },
      "drop_statistics": {
        "title": "Drop statistics",
        "message": "Are you sure you want to drop current range groups statistics?"
      },
      "export_devices": {
        "description": "Select fields to include in exported file",
        "select_all": "Select all",
        "deselect_all": "Deselect all",
        "reset": "Reset",
        "export": "Export list",
        "success": "The export was successful",
        "failure": "Unexpected error during data export"
      },
      "autoscan_options": {
        "title": "Autoscan groups options",
        "description": "Enable or disable automatic scanning for the selected groups",
        "disabled_warning": "Autoscan is now disabled in app settings. Enable it to take effect",
        "on_title": "Autoscan On",
        "on_desc": "Automatically scans the selected groups periodically in the background",
        "off_title": "Autoscan Off",
        "off_desc": "Automatic scanning for the selected groups will be disabled",
        "save": "Save changes"
      }
    },
    "commands": {
      "sections": {
        "options": "Options",
        "operations": "Operations"
      },
      "commands": {
        "autoscan_name": "Autoscan groups",
        "import_name": "Import range groups",
        "export_name": "Export selected range groups",
        "export_desc": "JSON format export",
        "view_name": "View groups in combined mode",
        "view_desc": "Displays the combined devices from all selected groups",
        "merge_name": "Merge network groups",
        "merge_desc": "Create new group from selected",
        "reset_name": "Reset statistics from selected groups",
        "reset_desc": "Clear last scan statistics",
        "remove_name": "Remove selected groups",
        "remove_desc": "Permanently delete from the list. Recovery is not possible"
      }
    }
  },
  "miners_list": {
    "empty_title": "Nothing found",
    "empty_subtitle": "The range is probably set incorrectly or there are network problems.",
    "scan_again": "Scan again",
    "empty_filters_title": "Empty filter result",
    "empty_filters_subtitle": "No results were found using this filter. Try changing or removing it",
    "remove_filters": "Clear filters",
    "status_compact_header": "Status and others",
    "header": {
      "back": "Back to groups",
      "miners": "Miners",
      "unlocked": "Unlocked",
      "errors": "Errors",
      "hashrate": "Hashrate",
      "power": "Power",
      "view_mode": "View mode",
      "data_mode": "Data mode",
      "sort_direction": "Sort direction",
      "sort_by": "Sort by",
      "filter_by": "Filter by",
      "sort": "Sorting",
      "columns_order": "Columns order",
      "columns_reset": "Reset to defaults",
      "columns": "Columns",
      "group_by": "Group by",
      "grouping": "Grouping",
      "view": "View",
      "filter": "Filter",
      "mode_metric": "Metric",
      "mode_pools": "Pools",
      "clear_filters": "Clear",
      "save_filter": "Save as preset",
      "edit_filter": "Edit preset",
      "add_filter": "Add filter",
      "filter_presets": "Filter presets",
      "devices_count": {
        "zero": "{count} device",
        "one": "{count} device",
        "many": "{count} devices",
        "other": "{count} devices"
      },
      "isolated": "Isolated ",
      "cell_size": "Cell size"
    },
    "sort": {
      "sort": "Sort",
      "by": "by"
    },
    "grouping": {
      "grouping": "Group",
      "empty": "No grouping available for current devices list",
      "by": "by",
      "jump": "Jump to group"
    },
    "filter": {
      "empty": "No filters available for current devices list",
      "inclusive": "Contains",
      "exclusive": "Does not contain",
      "inclusive_string_filter": " is ",
      "exclusive_string_filter": " is not ",
      "inclusive_multiple_string_filter": " is any ",
      "exclusive_multiple_string_filter": " is not in ",
      "inclusive_bool_filter": " ",
      "exclusive_bool_filter": " not ",
      "selected": " {count} selected"
    },
    "pool_nr": "pool {nr}: ",
    "pool_worker": "worker: ",
    "clone_this": "Clone this device",
    "clone_description": "Select miners from the list to clone the settings of this device",
    "settings_selected": "Settings selected: {count} of {total}",
    "reset_cloning": "Reset cloning source",
    "immersion_mode": "Immersion mode",
    "has_pics": "Device has PIC",
    "has_no_pics": "Device has no PIC",
    "last_update": "Last update {} ago",
    "dev_fee_online": "DevFee online - {}%",
    "dev_fee_offline": "DevFee offline - {}%",
    "action_control": {
      "selected": "{count} selected",
      "unselect": "Unselect all",
      "operations_bar": "Operations bar",
      "select_all": "Select all",
      "invert": "Invert",
      "isolate": "Isolate",
      "rescan": "Rescan",
      "clone": "Clone",
      "unlock": "Unlock",
      "group": "Grouped",
      "rescan_selected": "Rescan selected",
      "stop_scanning": "Stop scanning",
      "commands": "All commands"
    },
    "search_control": {
      "search_placeholder": "Search by IP / MAC, Pool and Worker",
      "group_search_placeholder": "Search by IP, name and description",
      "search": "Search"
    },
    "view_control": {
      "show_actions": "Show list action bar",
      "search": "Search",
      "sorting": "Sorting",
      "filtering": "Filtering",
      "grouping": "Grouping",
      "columns": "Columns",
      "customization": "View customization",
      "go_to_top": "Go to top"
    },
    "progress_bar": {
      "progress": "{task} progress: ",
      "result": "{task} result: ",
      "addresses": {
        "zero": "{count} addresses",
        "one": "{count} address",
        "many": "{count} addresses",
        "other": "{count} addresses"
      },
      "stop": "Stop",
      "rescan": "Rescan"
    },
    "dialogs": {
      "enum": {
        "task_category": {
          "operations": "Operations",
          "firmware": "Firmware",
          "powerActions": "Power actions",
          "security": "Security",
          "uncategorized": "Uncategorized",
          "system": "System",
          "cli": "CLI"
        },
        "task_type_action": {
          "changePools": "Change pools",
          "resetAutotuneProfiles": "Reset autotune profiles",
          "resetCurrentAutotuneProfile": "Reset current profile",
          "diagnosticReport": "Diagnostic report",
          "installFirmware": "Install firmware",
          "updateStockFirmware": "Update stock firmware",
          "updateFirmware": "Update firmware",
          "resetFirmware": "Reset firmware",
          "removeFirmware": "Remove firmware",
          "pause": "Pause",
          "resume": "Resume",
          "restart": "Restart",
          "reboot": "Reboot",
          "changePassword": "Change password",
          "configureApiKey": "Api key config",
          "findMiner": "Find miner",
          "cloneSettings": "Clone miner",
          "unlock": "Unlock",
          "discover": "Dicover",
          "refreshStats": "Get stats",
          "updateStats": "Update stats",
          "conditionalRestart": "Restart (if required)",
          "restoreCvFirmware": "Restore firmware",
          "multi": "Multi",
          "configureNetwork": "Change network configuration"
        },
        "task_type_action_description": {
          "resetAutotuneProfiles": "Reset all autotune profiles",
          "resetCurrentAutotuneProfile": "Reset single autotune profile",
          "diagnosticReport": "Create and download",
          "installFirmware": "Hashcore firmware installation",
          "restoreCvFirmware": "Cvitek devices only",
          "resetFirmware": "Revert settings to default",
          "removeFirmware": "Revert miner to stock"
        },
        "task_type_name": {
          "changePools": "Changing pools",
          "resetAutotuneProfiles": "Resetting autotune profiles",
          "resetCurrentAutotuneProfile": "Resetting current profile",
          "diagnosticReport": "Saving diagnostic report",
          "installFirmware": "Installing firmware",
          "updateStockFirmware": "Updating stock firmware",
          "updateFirmware": "Updating firmware",
          "resetFirmware": "Resetting firmware",
          "removeFirmware": "Removing firmware",
          "pause": "Mining pause",
          "resume": "Resume mining",
          "restart": "Restart mining",
          "reboot": "Reboot device",
          "changePassword": "Changing password",
          "configureApiKey": "Configuring API keys",
          "findMiner": "Finding miner",
          "cloneSettings": "Cloning miner",
          "unlock": "Unlocking devices",
          "discover": "Scanning",
          "refreshStats": "Receiving stats",
          "updateStats": "Updating stats",
          "conditionalRestart": "Restarting (if required)",
          "restoreCvFirmware": "Restoring firmware",
          "multi": "Multi",
          "configureNetwork": "Changing network configuration"
        }
      },
      "commands_dialog": {
        "type_command": "Type a command...",
        "navigate": "To navigate",
        "select": "Select",
        "cancel": "Cancel",
        "remove_from_list": "Remove from list"
      },
      "confirm_task": "Confirm operation",
      "action_for_devices": {
        "zero": "{action} for {count} device",
        "one": "{action} for {count} device",
        "many": "{action} for {count} devices",
        "other": "{action} for {count} devices"
      },
      "delete_stock_logs": "Delete stock logs",
      "pool_change": {
        "edit_preset": "Edit pool preset: {}",
        "new_preset": "New preset",
        "pool_presets": "Pool presets",
        "pool_preset_placeholder": "Select pool preset to apply",
        "data_info": "In group editing, the data of the first selected device is displayed",
        "operation": "Operation",
        "worker": "Worker",
        "worker_variables": ": see available variables under \"+\"",
        "save": "Save pools config",
        "preview": "Preview: {}",
        "show_patterns": "Show available patterns",
        "preset_unavailable_tooltip": "Preset saving unavailable: make sure there are no errors in the dialog and first pool has non-empty values",
        "clear": "Clear",
        "reset": "Reset"
      },
      "change_password": {
        "old": "Current password",
        "new": "New password",
        "repeat": "Repeat new password"
      },
      "edit_api_key": {
        "title": "API Key configuration",
        "operation": "Operation",
        "add": "Add API Key",
        "remove": "Remove API Key",
        "key": "API key",
        "description": "Description",
        "save": "Save changes!"
      },
      "clone_settings": {
        "select_cloning_settings": "Select cloning settings",
        "save_selected": "Save selected",
        "selection_count": "{count} of {total}"
      },
      "update_firmware": {
        "select_file_title": "Select firmware file",
        "select_file_for_update": "Select file for stock update (bmu file)",
        "select_file_for_update_empty": "File is not selected",
        "update_options": "Firmware update options (not for stock)",
        "number_of_threads": "Number of threads",
        "number_of_threads_desc": "Number of threads for firmware update",
        "reject_message": "No Hashcore devices selected. Please make sure there are some Hashcore devices in selection",
        "reject_title": "Can't update firmware",
        "file_name_example": "Example firmware name: "
      },
      "install_firmware": {
        "reject_message": "No Antminer devices selected. Please make sure there are some Antminer devices in selection",
        "reject_firmware_message": "Installing the Hashcore custom firmware is NOT POSSIBLE if your stock firmware version is in one of the ranges: {} to {} or newer {}. If the version is not suitable, update or downgrade it using SD recovery.",
        "reject_title": "Can't install firmware",
        "detect_automatically": "Detect automatically",
        "pick_directory_dialog_title": "Pick directory containing Hashcore firmware files",
        "firmwares_directory": "Select directory for custom firmwares (gzip file)",
        "directory_not_selected": "Not selected",
        "select_fw_directory": "Select directory",
        "install_options": "Firmware install options",
        "firmware_name": "Firmware name",
        "firmware_version": "Firmware version",
        "number_of_threads": "Number of threads",
        "number_of_threads_desc": "Number of threads for firmware installation",
        "ssh_port": "SSH port",
        "ssh_port_desc": "Setting up a port for firmware installation",
        "model": "Miner model",
        "stock_selected": "{count} stock selected",
        "not_supported": "{count} not supported",
        "directory_access_warning_title": "Folder not accessible",
        "directory_access_warning_message": "Unable to read the contents of the folder.\nThere may be access issues while the task is running.\nChange the selection or make sure the directory is readable",
        "ios_security_warning_message": "The folder cannot be accessed due to an iOS security restriction.\nPlease copy the files to the \"Hashcore Toolkit\" folder on your device and select that folder."
      },
      "export_diagnostic_report": {
        "reports_directory": "Reports directory",
        "directory_not_selected": "Not selected",
        "pick_directory_title": "Pick directory to store diagnostic reports",
        "reason": "Reason（optional）"
      }
    }
  },
  "settings_migration_dialog": {
    "title": "Settings migration",
    "notification": "We moved settings so app could not read it without your permission.\nJust confirm selection of folder and we will move settings from old version\n\nDo you want to proceed settings migration?",
    "do_not_ask": "Do not ask me again",
    "migration_failed": "Migration not completed",
    "dir_not_selected": "Directory selection not confirmed\nOpen settings and press \"Copy\" button in the very bottom of the General tab to repeat",
    "wrong_directory": "Wrong directory selected\nOpen settings and press \"Copy\" button in the very bottom of the General tab to repeat"
  },
  "settings_dialog": {
    "title": "Settings",
    "reset_menu": {
      "reset": "Reset",
      "reset_settings": "Reset settings",
      "reset_settings_desc": "Restores default settings",
      "reset_application": "Reset all application data",
      "reset_application_desc": "Deletes all app settings and data",
      "confirmation_reset_settings": {
        "title": "Reset settings",
        "message": "Are you sure you want to reset current app settings to defaults?",
        "positive": "Yes, reset settings"
      },
      "confirmation_reset_application": {
        "title": "Reset application data",
        "message": "Are you sure you want to reset current app settings to defaults?\n\nNote: this will delete saved network ranges. Make sure you've saved it before continue.",
        "positive": "Yes, drop data"
      }
    },
    "migration": {
      "title": "Settings migration",
      "settings_migration": "Copy settings from old version",
      "settings_migration_desc": "Replace current config with old version config",
      "copy": "Copy"
    },
    "appearance": {
      "title": "General",
      "theme": "Theme",
      "theme_desc": "Window and text colors",
      "language": "Language",
      "language_desc": "The system language is used by default",
      "scale": "Interface scale",
      "scale_desc": "Resize all interface elements",
      "scale_decrease": "Decrease scale",
      "scale_increase": "Increase scale",
      "exit_confirmation": "Exit confirmation",
      "exit_confirmation_desc": "Show confirmation dialog when pressing the exit button",
      "display_status_time": "Display device status time",
      "display_status_time_desc": "Displays device status instead of status name",
      "automatic_operations": "Automatic operations",
      "auto_open": "Automatic group opening",
      "auto_open_desc": "When the application starts, the first group in the list will open.",
      "auto_scan": "Autoscan group ranges",
      "auto_scan_desc": "Automatic update statistic for groups list",
      "squash": "Group sequential addresses",
      "squash_desc": "Combine consecutive addresses into ranges when importing",
      "ip_report": "IP Report listening",
      "ip_report_desc": "Enables IP-Reports listening in the network",
      "hashrate_in_presets": "Display hashrate in presets",
      "hashrate_in_presets_desc": "Hashrate will be displayed in presets instead of power",
      "reset": "Reset"
    },
    "unlock": {
      "title": "Unlock",
      "description": {
        "range": "For this group of ranges, specific unlock rules are set, different from the general settings.",
        "settings": "If you have configured unlock settings for a network group, these settings will override the current unlock settings."
      },
      "custom_unlock": "Custom password for unlock device",
      "skip_unknown": "Skip unknown miners",
      "restore_cv": "Restart CV firmware on discovery",
      "unlock_method": "Unlock method",
      "unlock_method_detail": "Unlock method: {}",
      "login": "Login",
      "password": "Password",
      "api_key": "API key",
      "firmware_name": "{fw} Firmware",
      "range_methods_title": "Custom method for unlock device",
      "task_methods_title": "Unlock method for selected device",
      "skip_unlocked": "Skip unlocked miners",
      "skip_unlocked_desc": "Do not lock already unlocked miners",
      "save_for_range": "Save the method for the current range",
      "save_for_range_desc": "The unlock settings will be set only for the current range",
      "save": "Save and unlock"
    },
    "timeouts": {
      "title": "Timeouts",
      "description": "A larger timeout slows down overall processing, while too small a timeout can lead to failures or missing miners. Find a balance for effective operation",
      "custom_timeout": "Custom network timeout",
      "network_timeout": "Network timeout",
      "detection": "Miner detection",
      "connection": "Connection timeout",
      "send_data": "Send data",
      "receive": "Receive response",
      "send_file": "Send file",
      "sec": "sec",
      "count": "update",
      "miner_detection": "Miner detection",
      "rescan_count": "Rescan network for miners after every",
      "stats_update": "Update miners statistics",
      "group_operation_timeout_title": "Batch operations",
      "group_operation_timeout_desc": "Adds a pause to batch operations to prevent devices from executing task simultaneously",
      "bucket_title": "Custom batch operations",
      "bucket_description": "Adds a pause to batch operations and cloning to prevent simultaneous execution",
      "devices_per_bucket": "Devices per batch",
      "devices_per_bucket_unit": "count",
      "bucket_pause": "Pause duration",
      "bucket_pause_unit": "sec"
    },
    "logs": {
      "title": "Logs",
      "logs_directory": "Log file storage directory",
      "change_directory": "Change",
      "change_directory_title": "Pick directory you wish to store application logs",
      "file_level": "File logging level",
      "memory_level": "Memory logging level",
      "memory_limit": "Memory buffer limit",
      "log_settings": "Log settings",
      "diag_report": "Diagnostic report",
      "current_session": "Current session",
      "last_session": "Previous session",
      "save_report_dialog_title": "Pick diagnostic report location",
      "diag_report_saved": "Diagnostic report where saved successfully"
    },
    "advanced": {
      "title": "Advanced",
      "warning": "Making changes in this section is at your own risk and responsibility",
      "threads": "Thread count",
      "threads_desc": "Number of logical thread to manage CPU load",
      "task_iterations": "Parallel task iterations",
      "task_iterations_desc": "Limits network load",
      "task_timeout": "Task Timeout",
      "task_timeout_desc": "Limits single miner command timeout"
    },
    "cant_save": "Can't save settings",
    "task_timeout_violation": "Task timeout can't be less than any other timeout"
  },
  "operations_dialog": {
    "title": "Operations",
    "subtitle": "Task history",
    "tooltips": {
      "isolate": "Isolate devices with errors",
      "copy": "Copy task information",
      "delete": "Delete from task history",
      "stop": "Stop task",
      "clear": "Clear history"
    },
    "all_tasks": "All operations",
    "task_info": "{task}\n\nstarted: {start}; finished: {end}; duration: {duration}\ntotal iterations: {total}, completed: {completed}, errors: {errors}\n{error_info}",
    "list_item": {
      "iterations": "Iterations: ",
      "errors": " / Errors: ",
      "duration": " / Duration: ",
      "success": "Success",
      "no_result": "Not completed",
      "no_data": "No details available"
    },
    "total": {
      "zero": "{count} operations",
      "one": "{count} operation",
      "many": "{count} operations",
      "other": "{count} operations"
    },
    "status": {
      "success": "Success",
      "warning": "Contain errors",
      "danger": "Error",
      "waiting": "Waiting: {count}",
      "completed": "Completed: {count}",
      "queued": "Task queued. Waiting",
      "iteration": "Iteration: {nr}"
    },
    "duration_sec": "{sec} sec",
    "duration_min": "{min} min, {sec} sec",
    "remove_confirmation": {
      "title": "Are you sure?",
      "message": "Are you sure you want to remove task \"{task}\" from history?",
      "clear_message": "Are you sure you want to remove all tasks from history?",
      "stop_message": "Are you sure you want to stop \"{task}\"?"
    },
    "empty": {
      "title": "Task history empty",
      "message": "To add history item run any command from list action bar"
    }
  },
  "device_info_dialog": {
    "metrics": "Metrics",
    "charts": "Charts",
    "hashrate": "Hashrate",
    "temperature": "Temperature",
    "boards": "Boards",
    "pools": "Pools",
    "fans": "Fans",
    "fans_mode": "Mode",
    "fans_speed": "Speed",
    "fan_nr": "Fan {}",
    "hotel_fee": "Hotel Fee"
  },
  "device_info_board_info": {
    "board_nr": "Board {}",
    "total": "CHIPS TOTAL: ",
    "stable": "STABLE: ",
    "slow": "SLOW: ",
    "critical": "CRITICAL: "
  },
  "device_info_pools_info": {
    "pool_url": "Pool {} URL",
    "pool_worker": "Pool {} worker"
  },
  "release_notes_dialog": {
    "title": "Release notes",
    "current": "Current",
    "full": "Full release notes"
  },
  "clone_settings": {
    "values": {
      "clear": "{}",
      "with_units": "{}{}"
    },
    "units": {
      "percent": "%",
      "degrees": " C°",
      "volts": " V",
      "mega_hertz": " MHz",
      "min": " min",
      "sec": " sec",
      "rpm": "RPM"
    },
    "titles": {
      "empty": "",
      "general": "General",
      "theme": "Theme",
      "timezone": "Timezone",
      "language": "Interface language",
      "ui_optimize": "UI optimize",
      "chips_number": "Display chips number of board",
      "layout": "Widget layout",
      "cooling": "Cooling",
      "cooling_mode": "Cooling mode",
      "min_fans": "Minimum number of fans",
      "min_fan_duty": "Minimum fan duty",
      "max_fan_duty": "Maximum fan duty",
      "target_temp": "Target temperature",
      "target_rpm": "Fan speed",
      "performance": "Performance settings",
      "modified_psu": "Power supply is modified",
      "preset": "Preset",
      "autoswitcher": "Autoswitch presets",
      "min_preset": "Don't lower preset below",
      "top_preset": "Don't raise preset above",
      "switcher_low_temp": "If temperature is lower",
      "switcher_high_temp": "If temperature is higher",
      "condition_check_time": "Condition check duration",
      "power_delta": "Exceeding nominal consumption",
      "autochange_top_preset": "Autochange top preset if error occurs",
      "ignore_fan_speed": "Ignore maximum fan speed",
      "global_voltage": "Global voltage",
      "global_freq": "Global frequency",
      "advanced": "Advanced settings",
      "boost": "ASIC Boost",
      "restart_on_low_hash": "Restart mining if hash rate is lower",
      "chip_critical_temp": "Chips critical temperature",
      "max_restarts": "Max restart attempts",
      "power_limit": "Power limit",
      "min_operational_chains": "Minimum number of operational boards",
      "quick_start": "Quick start",
      "voltage_check": "Check voltage setting",
      "balance_check": "Check balance of voltage domains",
      "integrity_check": "Check integrity of chains",
      "voltage_adapt": "Adapt voltage to temperature",
      "restart_on_reboot": "Resume mining after reboot",
      "quiet_mode": "Quiet mode",
      "preset_downscale": "Downscale preset on failure",
      "broken_temp_sensors": "Skip broken temperature sensors",
      "ignore_chip_sensors": "Ignore chip's temperature sensors",
      "voltage_offset": "Startup voltage offset",
      "auto_chip_throttling": "Auto chip throttling",
      "bad_chip_threshold": "Tuner bad chip hashrate threshold",
      "chain_check": "Stop mining in case of faulty chain",
      "min_startup_delay_time": "Minimum startup delay for mining",
      "max_startup_delay_time": "Maximum startup delay for mining",
      "retune_on_chain_break": "Auto retune on chain break",
      "allow_disabling_chains_without_pics": "Allow disabling chains without PIC",
      "keep_hashing_when_offline": "Offline Mining",
      "fees": "Fees",
      "dev_fee_region": "DevFee region",
      "hotel_fee_enabled": "Turn on HotelFee",
      "hotel_fee_address": "Address",
      "hotel_fee_worker": "Worker",
      "hotel_fee_percent": "Fee Percent",
      "pools": "Pools",
      "pool_nr": "Pool {}"
    }
  },
  "import_dialog": {
    "title": "Import range groups",
    "description": "If the file contains only IP address ranges, they will be combined into a single group named after the file.",
    "import": "Start import",
    "overriding_groups": "This file will override groups: ",
    "delete_confirmation_title": "Delete file",
    "delete_confirmation_message": "Are you sure you want to cancel selected file import?",
    "drop_place": {
      "title": "Drop file here or click to upload",
      "description": "Support Hashcore Toolkit range groups (json) or\nIP-ranges list (ex. 10.1.0.0-255.255 or 10.1.0-255.0-255)"
    },
    "file_types": {
      "toolkit": "Hashcore Toolkit Export File",
      "ranges": "Range list file",
      "unsupported": "File format not supported"
    },
    "counters": {
      "groups": {
        "zero": "No groups",
        "one": "{count} group",
        "many": "{count} groups",
        "other": "{count} groups"
      },
      "ranges": {
        "zero": "No ranges",
        "one": "{count} range",
        "many": "{count} ranges",
        "other": "{count} ranges"
      },
      "incorrect": "Incorrect file"
    }
  },
  "about_hashcore": {
    "title": "About HashCore",
    "text_p1": " is a leading developer of mining and blockchain software solutions, specializing in serving large corporate clients. The company offers comprehensive software tools that help optimize and scale mining operations, increasing their efficiency and profitability.",
    "text_p2": "Striving to simplify and optimize work with ASIC miners, Hashcore has combined its many years of development experience into this versatile application.",
    "text_p3": " is a powerful tool designed to meet a wide range of mining farm requirements, from monitoring and device management to firmware flashing and software updates.",
    "text_p4": "This product is the intellectual property of Hashcore, which guarantees the exclusivity and uniqueness of this solution. Users can be confident in the continuous development and support of the product, as well as in the protection of their investments in mining software.",
    "news": "News channel",
    "news_link": "https://t.me/hashcore_en/1"
  },
  "update_dialog": {
    "version_title": "New version: ",
    "remind": "Remind me later",
    "install_later": "Install later",
    "release_notes": "#### Hashcore Toolkit is even better!\nWe've added new features, improved stability, and made the app even more user-friendly.\nDownload the update and see for yourself!\n",
    "update": "Restart and update now",
    "download": "Download version: {}",
    "skip": "Skip this version",
    "new": "New version available"
  },
  "edit_preset_dialog": {
    "edit_title": "Edit preset",
    "save_title": "Save preset",
    "create_preset": "Create preset",
    "manage": "Manage presets",
    "update_selector": "Update current preset",
    "save_selector": "Save as new preset",
    "save_selector_description": "A new preset will be added to your list",
    "name_label": "Preset name",
    "name_placeholder": "Enter new preset name",
    "description_label": "Preset description - optional",
    "description_placeholder": "Enter new description",
    "override_prompt_message": "Preset with this name already exists.\nDo you want to replace it with current preset set?",
    "override_prompt_title": "Override existing preset?",
    "delete_prompt_message": "Are you sure want to delete the preset?",
    "delete_prompt_title": "Deleting preset",
    "saved": "Preset saved"
  },
  "presets_center_dialog": {
    "title": "Presets center",
    "pools": "Pools",
    "filters": "Filters",
    "new_preset": "New preset",
    "presets_empty_title": "No presets created",
    "presets_empty_description": "Create preset from corresponding dialog",
    "delete_selected": "Delete selected",
    "delete_selected_prompt_message": "Are you sure want to delete selected presets?",
    "delete_selected_prompt_title": "Deleting selected presets",
    "delete_prompt_message": "Are you sure want to delete preset \"{}\"?",
    "delete_prompt_title": "Deleting preset",
    "duplicate_preset": "Duplicate"
  }
}